From c2070af7bd9c93f3cb8d23dc5622dad8710fe591 Mon Sep 17 00:00:00 2001
From: zubin <imzubin@localhost.localdomain>
Date: Jul 25 2019 06:41:37 +0000
Subject: [PATCH 13/18] fixed karma issue


---

diff --git a/src/fedora-gooey-karma b/src/fedora-gooey-karma
index 2ee50d9..fb5c565 100755
--- a/src/fedora-gooey-karma
+++ b/src/fedora-gooey-karma
@@ -192,9 +192,9 @@ class Main():
         def comment(self, update, comment, karma=0, critpath = None):
                 try:
                         if (critpath == None):
-                                x = self.bc.send_request('comments/', verb='POST', auth=True, data={'update': update, 'text': comment, 'karma': karma, 'csrf_token': self.bc1.csrf()})
+                                x = self.bc1.send_request('comments/', verb='POST', auth=True, data={'update': update, 'text': comment, 'karma': karma, 'csrf_token': self.bc1.csrf()})
                         else:
-                                x = self.bc.send_request('comments/', verb='POST', auth=True, data={'update': update, 'text': comment, 'karma': karma, 'karma_critpath': critpath ,'csrf_token': self.bc1.csrf()})
+                                x = self.bc1.send_request('comments/', verb='POST', auth=True, data={'update': update, 'text': comment, 'karma': karma, 'karma_critpath': critpath ,'csrf_token': self.bc1.csrf()})
                         return(x)
                 except Exception as e:
                         print(e)
@@ -214,7 +214,9 @@ class Main():
                                 elif(self.critpath == False):
                                         self.bc1 = BodhiClient(base_url='https://bodhi.fedoraproject.org/', username=self.username, password=self.password)
                                 response = self.comment(t, self.ui.commentEdit.toPlainText(), self.ui.karmaBox.currentText())
-                                print(self.username,response)
+                                error_dialog = QtWidgets.QErrorMessage()
+                                error_dialog.showMessage("Karma Posted")
+                                error_dialog.exec_()
                         
                         except Exception as e:
                                 print(e)

